RDKit: RDKit::Abbreviations::Utils Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Functions
RDKit::Abbreviations::Utils Namespace Reference

## Functions
RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationDefinition > | getDefaultAbbreviations ()
| returns the default set of abbreviation definitions
RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationDefinition > | getDefaultLinkers ()
| returns the default set of linker definitions
RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationDefinition > | parseAbbreviations (const std::string &text, bool removeExtraDummies=false, bool allowConnectionToDummies=false)
| parses a string describing abbreviation matches and returns the result
std::vector< AbbreviationDefinition > | parseLinkers (const std::string &text)
| equivalent to calling `parseAbbreviations(text,true,true)`

## Function Documentation

## ◆ getDefaultAbbreviations()

RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationDefinition > RDKit::Abbreviations::Utils::getDefaultAbbreviations | ( |  | ) |

returns the default set of abbreviation definitions

References RDKIT_ABBREVIATIONS_EXPORT.

## ◆ getDefaultLinkers()

RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationDefinition > RDKit::Abbreviations::Utils::getDefaultLinkers | ( |  | ) |

returns the default set of linker definitions

References RDKIT_ABBREVIATIONS_EXPORT.

## ◆ parseAbbreviations()

RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationDefinition > RDKit::Abbreviations::Utils::parseAbbreviations | ( | const std::string & | text,
|  | bool | removeExtraDummies = false,
|  | bool | allowConnectionToDummies = false )

parses a string describing abbreviation matches and returns the result

Referenced by parseLinkers().

## ◆ parseLinkers()

std::vector< AbbreviationDefinition > RDKit::Abbreviations::Utils::parseLinkers | ( | const std::string & | text | ) |
| inline

equivalent to calling `parseAbbreviations(text,true,true)`

Definition at line 97 of file Abbreviations.h.

References parseAbbreviations().